DesktopNotify (SelekTOR Java Documentation)
Date: 2018-05-25

lib

## Class DesktopNotify

- java.lang.Object
- - lib.DesktopNotify

-     public class DesktopNotify
      extends java.lang.Object

  This class handles desktop notifications
  Author:
    Alistair Neil

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesktopNotify(SwingTrayIcon sti, java.lang.String iconpath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNotifySendPath()`
    `boolean` | `isEnabled()` Are notifications enabled
    `boolean` | `isSupported()` Is notifications supported
    `void` | `raiseNotification()` Raise a notification
    `void` | `setEnabled(boolean enabled)` Disable/Enable notifications
    `void` | `setNotificationBody(java.lang.String text)` Set desktop notification body
    `void` | `setNotificationTitle(java.lang.String text)` Set desktop notification title

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DesktopNotify

          public DesktopNotify(SwingTrayIcon sti,
                               java.lang.String iconpath)

  - ### Method Detail

    - #### isSupported

          public boolean isSupported()

      Is notifications supported
      Returns:
        true if supported

    - #### isEnabled

          public boolean isEnabled()

      Are notifications enabled
      Returns:
        true if enabled

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Disable/Enable notifications
      Parameters:
        `enabled` -

    - #### setNotificationTitle

          public void setNotificationTitle(java.lang.String text)

      Set desktop notification title
      Parameters:
        `text` -

    - #### setNotificationBody

          public void setNotificationBody(java.lang.String text)

      Set desktop notification body
      Parameters:
        `text` -

    - #### raiseNotification

          public void raiseNotification()

      Raise a notification

    - #### getNotifySendPath

          public java.lang.String getNotifySendPath()